import { AudioPlayerStatus, VoiceConnectionStatus, getVoiceConnection, } from "@discordjs/voice";
import { reply } from "../../utils/index.js";
export async function handleQueueMenu(interaction, queue) {
    const connection = getVoiceConnection(interaction.guildId || "");
    const server_queue = queue.get(interaction.guildId || "");
    if (!server_queue ||
        !connection ||
        connection.state.status !== VoiceConnectionStatus.Ready) {
        await interaction.update({ components: [] });
        return;
    }
    const selected = parseInt(interaction.values[0] ?? "0");
    if (selected === 0) {
        await reply(interaction.message, "The song is already playing");
        return;
    }
    try {
        const player = connection.state.subscription?.player;
        if (player && player.state.status === AudioPlayerStatus.Paused) {
            connection.state.subscription?.player.unpause();
        }
        connection.state.subscription?.player.stop();
        server_queue.queue.splice(0, selected - 1);
        server_queue.videoInfo.splice(0, selected - 1);
        await interaction.update({ components: [] });
    }
    catch (e) {
        queue.delete(interaction.guildId || "");
        await interaction.reply("An error occurred while trying to play the music");
        console.error(e);
    }
}
