import { getVoiceConnection } from "@discordjs/voice";
import { reply } from "../../utils/index.js";
export async function handleStopButton(interaction, queue) {
    const connection = getVoiceConnection(interaction.guildId || "");
    const server_queue = queue.get(interaction.guildId || "");
    if (!server_queue || !connection) {
        await interaction.update({ components: [] });
        return;
    }
    server_queue.clearAll();
    try {
        connection.destroy();
        await interaction.update({ components: [] });
        await reply(interaction.message, "✨ Stopped");
    }
    catch (e) {
        queue.delete(interaction.guildId || "");
        await interaction.reply("An error occurred while trying to stop the music");
        console.error(e);
    }
}
