import { AudioPlayerStatus, VoiceConnectionStatus, getVoiceConnection, } from "@discordjs/voice";
export async function handleSkip(interaction, queue) {
    const connection = getVoiceConnection(interaction.guildId);
    const server_queue = queue.get(interaction.guildId);
    if (!server_queue ||
        !connection ||
        connection.state.status !== VoiceConnectionStatus.Ready) {
        await interaction.reply("Nothing to skip");
        return;
    }
    const player = connection.state.subscription?.player;
    if (!player) {
        await interaction.reply("Nothing to skip");
        return;
    }
    try {
        if (player.state.status === AudioPlayerStatus.Paused) {
            player.unpause();
        }
        player.stop();
        await interaction.reply("✨ Skipped Music");
    }
    catch (e) {
        queue.delete(interaction.guildId);
        await interaction.reply("An error occurred while executing skip command");
        console.error(e);
    }
}
