import { CommandInteraction } from "discord.js";
import { VoiceManager } from "./voiceManager.js";
import { QueueManager } from "./queueManager.js";
import { QueueCollection } from "../types/Queue.js";
export declare class Music {
    queueManager: QueueManager;
    voiceManager: VoiceManager;
    constructor(queue: QueueCollection);
    connect(interaction: CommandInteraction<"cached">): Promise<void>;
    add(url: string, interaction: CommandInteraction<"cached">): Promise<void>;
    play(interaction: CommandInteraction<"cached">): Promise<void>;
    playNext(interaction: CommandInteraction<"cached">): Promise<void>;
    enqueued(url: string, interaction: CommandInteraction<"cached">, urlType?: "video" | "playlist"): Promise<void>;
}
