import { ServerQueue } from "./serverQueue.js";
export class QueueManager {
    queues;
    constructor(queues) {
        this.queues = queues;
    }
    createQueue(guildId) {
        const server_queue = new ServerQueue();
        this.queues.set(guildId, server_queue);
    }
    deleteQueue(guildId) {
        this.queues.delete(guildId);
    }
    getQueue(guildId) {
        const server_queue = this.queues.get(guildId);
        if (!server_queue) {
            this.createQueue(guildId);
            return this.queues.get(guildId);
        }
        return server_queue;
    }
}
