export class ServerQueue {
    queue;
    history;
    videoInfo;
    playing;
    queue_message;
    dispatcher;
    constructor() {
        this.queue = [];
        this.history = [];
        this.videoInfo = [];
        this.playing = {
            message: null,
            channelId: null,
        };
        this.queue_message = {
            message: null,
            channelId: null,
        };
        this.dispatcher = null;
    }
    removeFirst() {
        this.queue.shift();
        this.videoInfo.shift();
        return this;
    }
    clearAll() {
        this.queue = [];
        this.history = [];
        this.videoInfo = [];
        this.playing = {
            message: null,
            channelId: null,
        };
        this.queue_message = {
            message: null,
            channelId: null,
        };
        this.dispatcher = null;
    }
    updateQueueMessage(message, channelId) {
        this.queue_message.message = message;
        this.queue_message.channelId = channelId;
        return this;
    }
    updatePlayingMessage(message, channelId) {
        this.playing.message = message;
        this.playing.channelId = channelId;
        return this;
    }
    add(url, videoInfo) {
        this.queue.push(url);
        this.videoInfo.push(videoInfo);
        return this;
    }
}
