import { VoiceConnectionStatus, getVoiceConnection, joinVoiceChannel, } from "@discordjs/voice";
export class VoiceManager {
    join(config) {
        let connection = getVoiceConnection(config.guildId);
        if (connection) {
            return connection;
        }
        connection = joinVoiceChannel(config);
        return connection;
    }
    getPlayer(guildId) {
        const connection = getVoiceConnection(guildId ?? "");
        if (!connection ||
            connection.state.status !== VoiceConnectionStatus.Ready) {
            return;
        }
        return connection.state.subscription?.player;
    }
}
