import { ActionRowBuilder, ButtonBuilder, ButtonStyle, } from "discord.js";
// import { stream as streaming } from "play-dl";
import ytStream from "yt-stream";
import { createAudioResource, } from "@discordjs/voice";
import { sendMessage } from "./sendMessage.js";
export async function playCurrent(interaction, server_queue, connection, player) {
    if (!server_queue.videoInfo[0] || !server_queue.queue[0])
        return;
    const links = {
        url: server_queue.videoInfo[0].url,
        playURL: server_queue.queue[0],
    };
    // const stream = await streaming(links.playURL);
    const stream = await ytStream.stream(links.playURL, {
        quality: "high",
        highWaterMark: 1048576 * 32,
        download: true,
        type: "audio",
    });
    const videoInfo = server_queue.videoInfo[0];
    const resource = createAudioResource(stream.stream, {
        inputType: stream.type,
        metadata: {
            length: videoInfo.length,
            title: videoInfo.title,
        },
    });
    player.play(resource);
    connection.subscribe(player);
    const controller = new ActionRowBuilder().addComponents(new ButtonBuilder()
        .setStyle(ButtonStyle.Primary)
        .setCustomId("pause")
        .setLabel("Pause")
        .setEmoji("⏸"), new ButtonBuilder()
        .setStyle(ButtonStyle.Danger)
        .setCustomId("stop")
        .setLabel("Stop")
        .setEmoji("⏹"));
    if (server_queue.playing.message === null &&
        !interaction.replied &&
        interaction.deferred) {
        const message = await interaction.editReply({
            content: `✨ Now Playing ${links.url}`,
            components: [controller],
        });
        server_queue.updatePlayingMessage(message.id, interaction.channelId);
    }
    else {
        const message = await sendMessage(interaction.channel, `✨ Now Playing ${links.url}`, { components: [controller] });
        server_queue.updatePlayingMessage(message?.id || null, interaction.channelId);
    }
}
