import { PermissionFlagsBits, } from "discord.js";
export async function sendMessage(channel, content, options) {
    if (!channel)
        return null;
    const permissions = channel.permissionsFor(channel.client.user);
    if (!permissions?.has(PermissionFlagsBits.SendMessages) ||
        !permissions?.has(PermissionFlagsBits.ViewChannel))
        return;
    if (typeof content === "string") {
        if (content.length > 2000) {
            return channel.send({ content: content.slice(0, 2000), ...options });
        }
        return channel.send({ content, ...options });
    }
    return channel.send({
        embeds: [content],
        ...options,
    });
}
export async function reply(message, content, options) {
    if (!message.inGuild())
        return null;
    const permissions = message.channel.permissionsFor(message.client.user);
    if (!permissions)
        return null;
    if (!permissions.has(PermissionFlagsBits.SendMessages))
        return;
    if (typeof content === "string") {
        if (content.length > 2000) {
            return message.reply({
                content: content.slice(0, 2000),
                ...options,
            });
        }
        return message.reply({
            content,
            ...options,
        });
    }
    return message.reply({
        embeds: [content],
        ...options,
    });
}
