// import { yt_validate, video_basic_info } from "play-dl";
import ytStream from "yt-stream";
export async function validateURL(url, server_queue) {
    if (!url.startsWith("https"))
        return "The URL must start with https";
    // if (sp_validate(url)) {
    //   return "spotify";
    // }
    // const type = yt_validate(url);
    if (ytStream.validatePlaylistURL(url)) {
        return "playlist";
    }
    if (ytStream.validateVideoURL(url)) {
        try {
            // const info = await video_basic_info(url);
            const info = await ytStream.getInfo(url);
            // if (info.video_details.live) {
            //   return "Not found";
            // }
            const videoInfo = {
                title: info.title,
                url: url,
                length: info.duration / 1000,
            };
            server_queue.videoInfo.push(videoInfo);
            return "video";
        }
        catch (error) {
            console.error(error);
            return "Error encountered while fetching video info";
        }
    }
    return "Error while validating URL";
}
